<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Pico Manual: Software approach.
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Software approach.">Software approach.</a></h1>

<p>
In the following we will describe our approach in writing the software that allows one to control, display and record various experiments.
A window is used to display the video image coming from the CCD camera and the various plots associated with the different experiments.
This window comes with a bar menu offering various options:

<p>
- A menu "file" that allows to load various plots/images or save the currently displayed plots/images

<p>
- A menu "edit" that allows to edit the displayed plots/images (e.g. copy or kill selected datasets, change their color or display, add labels, etc.).

<p>
- A menu "project" that allows one to access the results of the various experiments (e.g. images or plots from calibration, scans or time recording experiment

<p>
- A menu "options" that allows one to change various display variables.

<p>
- A menu "display" that is used to set the resolution of your display.

<p>
- A menu "treatment" that allows one to perform some standard operations on the experimental datasets (including mathematical operations on one or 
two datasets, curve fitting, etc.).

<p>
- A menu "experiment" that allows one to perform various standard experiments (calibration image, rotational or vertical scans of the magnets, 
time recording of the beads' position, etc.).

<p>
- A menu "help" that provides access to this manual.

<p>
On the right of the bar menu, some system and data informations are plotted: the vertical position of the objective, the temperature, the vertical 
and rotational position of the magnets and a coarse estimate of the force. 

<p>
When the window displays plots of the data on the right of these plots a small image of the beads of interests is also displayed (with an 
estimate of their vertical position). When plots are displayed, in the bottom right corner one can select the dataset which to edit (copy, kill, etc.) or
on which to perform mathematical operations.
  

<p><br>
<hr><div class="al-back-to-contents"><a href="picotw.html">Back to contents</a></div>

</body>
</html>
